Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160938 - Packages from Extras should be available from menu
Summary: Packages from Extras should be available from menu
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-18 23:53 UTC by Amadeus
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-08-03 20:19:09 UTC


Attachments (Terms of Use)

Description Amadeus 2005-06-18 23:53:20 UTC
Description of problem:
Packages in Extras tend to be forgotten, because the user have no idea that they
excist.

Adding a repository line to /etc/yum.conf is hardly user friendly.

Suggested solution to problem:
In the package menu should programs like Abiword and Gnumeric still be present,
but with a small icon of a networking card to the left of the name.

The icon should indicate that, the installer will download these packages from
the net during installation.

In order not to prolong the installation time, these packages starts downloading
when the installation of the core packages begins. When these are installed, the
Extra packages will be done downloading, and be ready for installation.

Comment 1 Hubert Figuiere 2005-06-19 00:59:34 UTC
As one of the AbiWord maintainer, I really feel offended that Fedora has

a/ moved AbiWord and Gnumeric to extras
b/ made extras completely ignored because the package source is not by default.

(I already ranted about that in the past)

Comment 2 Paul Nasrat 2005-06-19 16:54:06 UTC
Users can do yum install abiword post install, adding yum support to anaconda
for FC5 is the plan.

Comment 3 Jacek Pliszka 2006-04-23 22:59:31 UTC
In addition to extras it would be great to have the option to include other
repositories.

E.g.  freshrpms - then users would be able to install xine(DVD player).

Comment 4 Chris Lumens 2006-08-03 20:19:09 UTC
There is now a UI and a kickstart method for adding additional repositories to
the install, and the packages in these extra repos are merged into the package
selection UI automatically.


Note You need to log in before you can comment on or make changes to this bug.